body {
    background: #aaa;
}

.image-container {
    height: 1000px;
    width: 100%;
    text-align: center;
}

img {
    max-height: 1000px;
    width: auto;
    margin: auto;
}

.caption {
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    top: 50%;
    width: fit-content;
    border: 2px solid grey;
    padding: 30px;
    background: rgba(0, 0, 0, 0.6);
    color: #fff;
    font-size: 16px;
}

@media (min-width: 992px) {
    .caption {
        top: 80%;
    }
}
